
Core - Bug # 48893

Status: Resolved Priority: Must have
Author: Claus Harup Category: File Abstraction Layer (FAL)
Created: 2013-06-05 Assigned To: Frans Saris
Updated: 2015-02-01 Due date:
TYPO3 Version: 6.1
PHP Version:
Complexity:
Is Regression: No
Sprint Focus: On Location Sprint
Subject: Deleting files with references?!
Description

I have setup a simple editor - granting access to fileadmin/user_upload/

The editor is able to delete files that have references?!?!?!

See attachement for details....

Am I missing some configuration?

Related issues:
related to Core - Task # 50876: Handling of deleted files in FAL New 2013-08-06

Associated revisions
Revision 7e50e179 - 2015-02-01 13:46 - Armin Ruediger Vieweg

[BUGFIX] Prevent folder deletion with referenced files

Currently a folder can be deleted without any check if included files
are still in use anywhere within the website. This can lead to lost
files and can be harmful for the user. The patch adds a test if files
within a folder, which should be deleted, are still referenced and
prevents deleting it if files where found. The user is notified with a
warning shown above the file list.

Resolves: #48893
Releases: master, 6.2
Change-Id: If1c79d86e1f6c7a32a6a3e94e639951f882302d7
Reviewed-on: http://review.typo3.org/36413
Reviewed-by: Ingo Schmitt <is@marketing-factory.de>
Tested-by: Ingo Schmitt <is@marketing-factory.de>
Reviewed-by: Oliver Klee <typo3-coding@oliverklee.de>
Reviewed-by: Nicole Cordes <typo3@cordes.co>
Tested-by: Nicole Cordes <typo3@cordes.co>
Reviewed-by: Armin Ruediger Vieweg <armin@v.ieweg.de>
Tested-by: Andrea Herzog-Kienast <a.herzog@kienastdv.de>
Reviewed-by: Thomas Deuling <tdeuling@gmail.com>
Tested-by: Thomas Deuling <tdeuling@gmail.com>
Reviewed-by: Jan Helke <typo3@helke.de>
Tested-by: Oliver Klee <typo3-coding@oliverklee.de>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Revision ff736366 - 2015-02-02 19:50 - Armin Ruediger Vieweg

[BUGFIX] Prevent folder deletion with referenced files

Currently a folder can be deleted without any check if included files
are still in use anywhere within the website. This can lead to lost
files and can be harmful for the user. The patch adds a test if files
within a folder, which should be deleted, are still referenced and
prevents deleting it if files where found. The user is notified with a
warning shown above the file list.

Resolves: #48893
Releases: master, 6.2
Change-Id: If1c79d86e1f6c7a32a6a3e94e639951f882302d7
Reviewed-on: http://review.typo3.org/36577
Reviewed-by: Armin Ruediger Vieweg <armin@v.ieweg.de>
Reviewed-by: Nicole Cordes <typo3@cordes.co>
Tested-by: Nicole Cordes <typo3@cordes.co>

History
#1 - 2013-08-05 16:11 - Frans Saris

When he tries to delete the file he gets a error message that it isn't posible because file is in use.

#2 - 2013-08-05 16:18 - Claus Harup

Hi Frans

I found out that that was the case, but would it not be more userfriendly if the deleteicon wasnt even there?

/Claus

#3 - 2013-08-19 15:20 - Ernesto Baschny
- Target version set to 6.2.0

Not more user-friendly, because it would look like a "bug" ("Where is the delete option?? I'll report that on the core bug tracker...") instead of explaining
why he cannot delete.

But I agree that the user interface could be improved in this area, will try to get some input from the UX team on that. thanks for bringing it up.

#4 - 2013-08-19 15:35 - Philipp Gampe

IMHO there should be the icon, but it should not be linked to the action, but rather to an JS pop (onclick) that explains the reason why it is not possible
to delete the file.
#5 - 2014-05-10 12:17 - Sebastian Fischer

Currently you get the following message if you try to delete a referenced file.

File not deleted
The file cannot be deleted since it is still used at the following places:
 TCA Test [/Home/]

Do we need more informations for the editor?

#6 - 2015-01-24 16:47 - Andrea Herzog-Kienast
- Assigned To set to Frans Saris

You can delete a file with references! 
If you have a folder structure like

folder
-- subfolder
--- 3subfolder

The 3subfolder contains files which are used in content elements and are referenced.
If you delete the parent folder "folder" all 3 folders are deleted - even if there are referenced files in the folder.

#7 - 2015-01-29 16:32 - Frans Saris
- Is Regression set to No
- Sprint Focus set to On Location Sprint

#8 - 2015-01-29 16:33 - Frans Saris
- Status changed from New to In Progress

#9 - 2015-01-30 13:10 - Gerrit Code Review
- Status changed from In Progress to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36413

#10 - 2015-01-30 20:01 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36413

#11 - 2015-01-31 11:36 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36413
#12 - 2015-01-31 11:43 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36413

#13 - 2015-01-31 12:02 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36413

#14 - 2015-01-31 12:05 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36413

#15 - 2015-01-31 12:48 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36413

#16 - 2015-01-31 13:17 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36413

#17 - 2015-01-31 13:57 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36413

#18 - 2015-01-31 15:21 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36413

#19 - 2015-01-31 15:28 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36413

#20 - 2015-01-31 16:02 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36413
#21 - 2015-01-31 16:16 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36413

#22 - 2015-02-01 14:00 - Armin Ruediger Vieweg
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7e50e17911b4ffaaf8971c0af03cf80370b38cfe.

Files
fal.png 52.6 kB 2013-06-05 Claus Harup
